import request from '@/utils/request'

// 新增敏感用户
export function saveUser(data: any) {
    return request({
        url: '/cs-harmonic-boot/pqSensitiveUser/save',
        method: 'post',
        data: data
    })
}

// 修改敏感用户
export function updateUser(data: any) {
    return request({
        url: '/cs-harmonic-boot/pqSensitiveUser/update',
        method: 'post',
        data: data
    })
}

// 删除敏感用户
export function deleteUser(data: any) {
    return request({
        url: '/cs-harmonic-boot/pqSensitiveUser/delete',
        method: 'post',
        data: data
    })
}

// 新增治理方案绑定
export function saveGovernPlan(data: any) {
    return request({
        url: '/cs-harmonic-boot/pqGovernPlan/save',
        method: 'post',
        data
    })
}

// 修改治理方案绑定
export function updateGovernPlan(data: any) {
    return request({
        url: '/cs-harmonic-boot/pqGovernPlan/update',
        method: 'post',
        data
    })
}

// 删除治理方案绑定
export function deleteGovernPlan(data: any) {
    return request({
        url: '/cs-harmonic-boot/pqGovernPlan/delete',
        method: 'post',
        data
    })
}
